import * as t from './types';
declare class ActiveQueue {
    #private;
    getState(): {
        ids: Record<string, {
            type: t.ActiveType;
        }>;
        queue: t.ActiveQueueObject<string>[];
        history: any[];
    };
    getHelpers(): {
        getState: () => {
            ids: Record<string, {
                type: t.ActiveType;
            }>;
            queue: t.ActiveQueueObject<string>[];
            history: any[];
        };
        getSubscribers: () => {
            queue: t.ActiveQueueSubscriber[];
        };
    };
    getSubscribers(): {
        queue: t.ActiveQueueSubscriber[];
    };
    create<O extends Record<string, any> = Record<string, any>>(opts?: O & Partial<t.ActiveQueueObject>): t.ActiveQueueObject<string>;
    remove(obj: t.ActiveQueueObject, opts?: Record<string, any>): void;
    on(evt: t.ActiveQueueSubscribeEvent, callback: t.ActiveQueueSubscriber): undefined;
    publish(evt: t.ActiveQueueSubscribeEvent, ...args: Parameters<t.ActiveQueueSubscriber>): undefined;
}
export default ActiveQueue;
