declare const _default: {
    /**
     * @function
     * @description Obtain drug-related information.(being replaced by databank)
     * @param {String} query query text
     * @param {String} id drug id
     * @param {string} type 'Drug' | 'Route' | 'Strength'
     * @returns {Array}
     */
    drugBank({ query, id, type, }: {
        query: string | null;
        id: string | null;
        type: 'Drug' | 'Route' | 'Strength';
    }): Promise<any>;
    /**
     * @function
     * @description Obtain drug-related information
     * @param {String} query query text
     * @returns {Array}
     */
    dataBank({ query }: {
        query: string | null;
    }): Promise<any>;
    /**
     * @function
     * @description Obtain drug CPT information
     * @param {String} query query text
     * @returns {Array}
     */
    queryCPT({ query }: {
        query: any;
    }): Promise<any>;
};
export default _default;
