declare const _default: {
    signature({ message, eskSign, sk }: {
        message: any;
        eskSign: any;
        sk: any;
    }): string;
    verifySignature(signature: string, pkSign: string): boolean;
    generate16Dkey(): string;
    decryptAES({ key, message }: {
        key: any;
        message: any;
    }): any;
    encryptAES({ key, message }: {
        key: any;
        message: any;
    }): any;
    decryptASK({ sendPk, recvSk, eData }: {
        sendPk: any;
        recvSk: any;
        eData: any;
    }): string | null;
    encryptASK({ recvPk, sendSk, data }: {
        recvPk: any;
        sendSk: any;
        data: any;
    }): string;
    skCheck({ pk, sk }: {
        pk: any;
        sk: any;
    }): any;
    /**
     *
     * @param sk
     *
     * Generates an esak that can be used as the besak or eesak
     of an edge
     */
    generateESAK({ pk }: {
        pk: string;
    }): string;
    /**
     *
     * @param {esak, publicKey, data}
     *
     * Decrypts data using assymetric decryption and the esak provided
     */
    decryptData({ esak, publicKey, secretKey, data, }: {
        esak: Uint8Array | string;
        publicKey: string;
        secretKey: string;
        data: Uint8Array;
    }): Uint8Array;
    /**
     *
     * @param {esak, publicKey, secretKey}
     *
     * Assymetrically decrypts the besak || eesak
     */
    decryptESAK({ esak, publicKey, secretKey, }: {
        esak: Uint8Array | string;
        publicKey: string;
        secretKey: string;
    }): string;
    /**
     *
     * @param {id}
     *
     * Checks whether an edge is encrypted or not.
     */
    isEdgeEncrypted({ id }: {
        id: string;
    }): Promise<boolean>;
    getSAKFromEdge({ id }: {
        id: string;
    }): Promise<string>;
};
export default _default;
