declare const _default: {
    shareDoc({ sourceDoc, targetEdgeID, targetRoomName, targetFileID, reid }: {
        sourceDoc: any;
        targetEdgeID: any;
        targetRoomName: any;
        targetFileID: any;
        reid: any;
    }): Promise<import("@aitmed/ecos-lvl2-sdk").Level2Response | {
        jwt: any;
        error: any;
        doc: any;
        code: any;
    }>;
    shareDocByFid({ sourceDoc, targetEdgeID, targetRoomName }: {
        sourceDoc: any;
        targetEdgeID: any;
        targetRoomName: any;
    }): Promise<import("@aitmed/ecos-lvl2-sdk").Level2Response | {
        jwt: any;
        error: any;
        doc: any;
        code: any;
    }>;
    shareDocList({ sourceDocList, targetEdgeID, targetRoomName, targetFileID, reid, }: {
        sourceDocList: any;
        targetEdgeID: any;
        targetRoomName: any;
        targetFileID: any;
        reid: any;
    }): Promise<any[]>;
    updateDocList({ sourceDocList }: {
        sourceDocList: any;
    }): Promise<any[]>;
    /**
     * Update the type of doc for a given doc array
     * according to specific rules
     *
     * specific rules: Set 0|1 to the type specific bit
     *
     * @param sourceDocList
     * @param targetBit
     * @param targetValue
     */
    updateDocListType({ sourceDocList, targetBit, targetValue }: {
        sourceDocList: any;
        targetBit: any;
        targetValue: any;
    }): Promise<any[]>;
    updateDocListReid({ sourceDocList, reid }: {
        sourceDocList: any;
        reid: any;
    }): Promise<any[]>;
    /**
     * Query each doc id in the sourceDocList as the doc pointed to by the reid,
     *  and update the type for these doc
     * @param sourceDocList
     * @param targetBit
     * @param targetValue
     * @param sCondition
     */
    updateReidDocListType({ sourceDocList, targetBit, targetValue, sCondition, eid, }: {
        sourceDocList: any;
        targetBit: any;
        targetValue: any;
        sCondition: any;
        eid: any;
    }): Promise<void>;
    /**
     * Establish a connection between the doc array of the email and the doc of the folder (doc(type=3084))
     * @param sourceDocList
     * @param folder
     * @param eid
     */
    createFolderTag({ sourceDocList, folder, eid }: {
        sourceDocList: any;
        folder: any;
        eid: any;
    }): Promise<any[]>;
    /**
     * Delete the link between the doc array of the email and the doc of the folder (doc(type=3084))
     * @param sourceDocList
     * @param folder
     */
    deleteFolderTag({ sourceDocList, folder }: {
        sourceDocList: any;
        folder: any;
    }): Promise<any[]>;
    copyDocToAttachment({ sourceDocList, newType }: {
        sourceDocList: any;
        newType: any;
    }): Promise<any[]>;
    generatorSigForOldAccount({ id, name, sk, phoneNumber }: {
        id: any;
        name: any;
        sk: any;
        phoneNumber: any;
    }): Promise<{}>;
    transformVisitReason({ vertexId, rootNoteBookId }: {
        vertexId: any;
        rootNoteBookId: any;
    }): Promise<any>;
};
export default _default;
