declare const _default: {
    /**
     * @function
     * @description Returns a random number between 0 (inclusive) and 1 (exclusive)
     * @param {void}
     * @returns {number}
     *
     */
    random: () => number;
    /**
     * @function
     * @description Returns the Sum of two numbers
     * @param {number} num1
     * @param {number} num2
     * @returns {number}
     *
     */
    add: ({ num1, num2 }: {
        num1: number;
        num2: number;
    }) => number;
    /**
     * @function
     * @description Judge the relationship between two numbers
     * @param {number} num1
     * @param {number} num2
     * @returns {boolean}
     *
     */
    greater: ({ num1, num2 }: {
        num1: number;
        num2: number;
    }) => boolean;
    /**
     * @function
     * @description Whether the folder size exceeds the judgment
     * @param {number} object
     * @param {number} key
     * @returns {boolean}
     *
     */
    lessthanSize: ({ object, key }: {
        object: {};
        key: number;
    }) => boolean;
    /**
     * @function
     * @description Array summation
     * @param {number[]} numArr
     * @returns {number}
     */
    cumulative: ({ numArr }: {
        numArr: [];
    }) => number;
    /**
     * @function
     * @description Keep two decimal places
     * @param {number[]} numArr
     * @returns {number}
     */
    toFixedNum({ num }: {
        num: number | string;
    }): string;
    /**
     * @function
     * @description Judge whether the number is two decimal places
     * @param {number|string} num
     * @returns {boolean}
     */
    FixedLimit({ num }: {
        num: number | string;
    }): boolean;
    /**
     * @function
     * @description Age based on birth
     * @param {string} dateTime
     * @param {string} splite
     * @returns {number}
     */
    calculateAge({ dateTime, splite }: {
        dateTime: string;
        splite?: string | undefined;
    }): number;
};
export default _default;
