declare const _default: {
    /**
     * @function
     * @description Judge whether the incoming value is within a certain interval (including both ends)
     * @param {number} number
     * @param {number} start
     * @param {number} end
     * @returns {boolean}
     *
     */
    inRange({ number, start, end, }: {
        number: number;
        start: number;
        end: number;
    }): boolean;
    /**
     * @function
     * @description Multiply two numbers
     * @param {number} number
     * @param {number} multiple
     * @returns {number}
     */
    multiply({ number, multiple }: {
        number: number;
        multiple: number;
    }): number;
    /**
     * @function
     * @description Convert numbers to binary
     * @param {number} number
     * @returns {0|string}
     */
    OctToBin({ number }: {
        number: number;
    }): string | 0;
    /**
     * @function
     * @description Convert the subtype to hexadecimal, and obtain the type and level of authority
     * @param {any[]} authSubtype
     * @param {object} authList
     * @returns {object}
     */
    getAuthority({ authSubtype, authList, }: {
        authSubtype: any[];
        authList: {};
    }): any;
    /**
     * @function
     * @description Parses strings into numbers and adds them
     * @param {string} num
     * @param {string} step
     * @returns {void}
     */
    addition({ num, step }: {
        num: any;
        step: any;
    }): any;
    /**
     * @function
     * @description Parses a string into numbers and subtracts them
     * @param {string} num
     * @param {string} step
     * @returns {void}
     */
    Subtraction({ num, step }: {
        num: any;
        step: any;
    }): number;
    /**
     * @function
     * @description Number comparison size
     * @param {number} num1
     * @param {number} num2
     * @returns {void}
     */
    less({ num1, num2 }: {
        num1: number;
        num2: number;
    }): boolean;
    /**
     * @function
     * @description Converts a number to hexadecimal and changes a specific position to 0 or 1
     * @param {number} intHex
     * @param {number} index
     * @param {number} hex
     * @returns {number}
     */
    inhx({ intHex, index, hex, }: {
        intHex: number;
        index: number;
        hex: number;
    }): number;
    /**
     * @function
     * @description Two phase and
     * @param {number} intOne
     * @param {number} hexTwo
     * @returns {number}
     */
    hexAnd({ intOne, hexTwo }: {
        intOne: number;
        hexTwo: number;
    }): number;
    /**
     * @function
     * @description Two phase or
     * @param {number} intOne
     * @param {number} hexTwo
     * @returns {number}
     */
    hexOr({ intOne, hexTwo }: {
        intOne: number;
        hexTwo: number;
    }): number;
    /**
     * @function
     * @description The hexadecimal digits are obtained according to the 0 or 1 position with the same characteristics,
     * and input into the array to return
     * @param {any[]} docGroup
     * @param {number[]} localArr
     * @param {number[]} binaryArr
     * @returns {false|number[]}
     */
    hx({ docGroup, localArr, binaryArr, }: {
        docGroup: any[];
        localArr: number[];
        binaryArr: number[];
    }): false | number[];
    /**
     * @function
     * @description Check the data integrity of a single form
     * @param {number} docType
     * @param {number[]} localArr
     * @param {number[]} binaryArr
     * @returns {boolean}
     */
    typeIsValid({ docType, localArr, binaryArr, }: {
        docType: number;
        localArr: number[];
        binaryArr: number[];
    }): boolean;
    /**
     * @function
     * @description Data integrity of the submitted object form
     * @param {object} docData
     * @returns {boolean}
     */
    formValid({ docData }: {
        docData: {};
    }): boolean;
    /**
     * @function
     * @description Replace the value of the given subtype. E8 -> E2 subtype = 196616 addition = 2 return 196610
     * @param {any} subtype
     * @param {number} addition
     * @returns {number}
     */
    transformSubtype({ subtype, addition }: {
        subtype: any;
        addition: number;
    }): number;
    /**
     * @function
     * @description Is it a number
     * @param {number} num
     * @returns {boolean}
     */
    judgeNumber({ num }: {
        num: any;
    }): boolean;
    /**
     * @function
     * @description Take the integer part that divides two numbers
     * @param {string|number} value1
     * @param {string|number} value2
     * @returns {number}
     */
    pagingFax({ value1, value2 }: {
        value1: any;
        value2: any;
    }): number;
    betweenTwoNumbers({ figure, hexadecimal, compareArr }: {
        figure: number;
        hexadecimal: number;
        compareArr: number[];
    }): boolean;
};
export default _default;
