/**
 * @param { object } opts
 * @param { Constructor } opts.SearchClient
 */
export default function getSearchBuiltIns({ SearchClient, }?: {
    SearchClient?: any;
}): {
    updateEsData({ id, type, bvid, }: {
        id: string;
        type: string;
        bvid: string | null;
    }): Promise<void>;
    /**
     * Get the latitude and longitude of the most similar address based on the address input
     * @param query
     * @returns
     */
    transformGeo({ query }: {
        query: any;
    }): Promise<any[] | undefined>;
    queryCode({ query }: {
        query: any;
    }): Promise<any[][]>;
    /**
     * query Insurance ： (popular and all) plans carriers
     * @param id
     * @returns
     */
    queryInsurance({ id }: {
        id: any;
    }): Promise<any>;
    queryIns({ ins }: {
        ins: any;
    }): Promise<any>;
    queryAllCarriers({ object }: {
        object: any;
    }): Promise<any>;
    /**
     * Get all related addresses of query
     * @param query
     * @returns
     */
    suggestAddress({ query }: {
        query: any;
    }): Promise<any>;
    /**
     * 以prefix为前缀查询搜索建议，返回doctor_suggestion: []，speciality_suggestion 分别是推荐的医生姓名和科室名
     * 数据无重复，最大10条
     * @param prefix
     * @returns {Promise<{doctor_suggestion: [], speciality_suggestion: []}>}
     */
    suggest({ prefix }: {
        prefix: any;
    }): Promise<{
        uniqSym_suggestion: any[];
        speciality_suggestion: any[];
        symptom_suggestion: any[];
    }>;
    /**
     * Process the data into the data type used by the map
     * @param object
     * @returns
     */
    GetAllLonAndLat({ object }: {
        object: any;
    }): Record<string, any> | undefined;
    /**
     * Process the Speciality in the data
     * @param object
     * @returns
     */
    SortBySpeciality({ object }: {
        object: any;
    }): Record<string, any> | undefined;
    /**
     * Process data to facilitate the use of page UI
     * @param object
     * @returns
     */
    processingSearchData({ object }: {
        object: any;
    }): Record<string, any> | undefined;
    ComputeObjectFieldCount({ objArr, strOne, strTwo }: {
        objArr: any;
        strOne: any;
        strTwo: any;
    }): number[];
    ModifyObjectField({ objArr, str }: {
        objArr: any;
        str: any;
    }): any;
    CountObj({ objArr }: {
        objArr: any;
    }): {
        [key: string]: any;
    }[];
    pickByArr({ objArr }: {
        objArr: any;
    }): {}[];
    /**
     *
     * @param param0 cond  =>search term
     * @returns
     * @author =>cmq'code
     */
    queryProviders({ cond }: {
        cond?: null | undefined;
    }): Promise<any>;
    GetAllLonAndLatNew({ object }: {
        object: any;
    }): Record<string, any> | undefined;
    GetFacilityLat({ object }: {
        object: any;
    }): Record<string, any> | undefined;
    ChooseCarrier({ object, cond }: {
        object: any;
        cond: any;
    }): any;
    jugeSame({ object, cond, name }: {
        object: any;
        cond: any;
        name: any;
    }): boolean;
    DeleteCarrier({ object, carreir, plans, len }: {
        object: any;
        carreir: any;
        plans: any;
        len: any;
    }): any;
    /**
     *
     * @param cond   => Search term
     * @param distance =>  Query range
     * @param pos => address
     * @param stime => start time
     * @param etime  => end stime
     * @returns =>providers and rooms
     * @author => cmq'code
     */
    queryByAllDate({ cond, distance, pos, stime, etime, isSplitCurrent, }: {
        cond?: null | undefined;
        distance?: number | undefined;
        pos?: number | undefined;
        stime: any;
        etime: any;
        isSplitCurrent?: boolean | undefined;
    }): Promise<any>;
    /**
     *
     * @param cond   => Search term
     * @param distance =>  Query range
     * @param pos => address
     * @param stime => start time
     * @param etime  => end stime
     * @returns =>providers and rooms
     * @author => cmq'code
     */
    queryAllUser({ cond, distance, pos, stime, etime, isSplitCurrent, }: {
        cond?: null | undefined;
        distance?: number | undefined;
        pos?: number | undefined;
        stime: any;
        etime: any;
        isSplitCurrent?: boolean | undefined;
    }): Promise<any>;
    /**
     *
     * @param cond   => Search term
     * @param distance =>  Query range
     * @param pos => address
     * @param stime => start time
     * @param etime  => end stime
     * @returns =>providers and rooms
     * @author => cmq'code
     */
    queryUsers({ cond, distance, pos, lan, ins, stime, etime, isSplitCurrent, pages, total, isType, type }: {
        cond?: null | undefined;
        distance?: number | undefined;
        pos?: number | undefined;
        lan?: string | undefined;
        ins?: string | undefined;
        stime: any;
        etime: any;
        isSplitCurrent?: boolean | undefined;
        pages?: number | undefined;
        total?: never[] | undefined;
        isType?: boolean | undefined;
        type?: number | undefined;
    }): Promise<any>;
    /**
     * @function
     * @description Query the data respectively according to the three indexes and package it into an array to return
     * @param {null} cond
     * @param {number} distance
     * @param {number} pos
     * @param {string|number} stime
     * @param {string|number} etime
     * @param {boolean} isSplitCurrent
     * @param {boolean} isType
     * @param {number} type
     * @param {string} lan
     * @returns {Array}
    */
    querySpecialty({ cond, distance, pos, stime, etime, isSplitCurrent, isType, type, lan, ins }: {
        cond?: null | undefined;
        distance?: number | undefined;
        pos?: number | undefined;
        stime: any;
        etime: any;
        isSplitCurrent?: boolean | undefined;
        isType?: boolean | undefined;
        type?: number | undefined;
        lan?: string | undefined;
        ins?: string | undefined;
    }): Promise<never[]>;
    /**
     * @function
     * @description Query the data with only specialty according to the three indexes, remove the duplicate and package it into an array for return
     * @param {null} cond
     * @param {number} distance
     * @param {number} pos
     * @param {string|number} stime
     * @param {string|number} etime
     * @param {boolean} isSplitCurrent
     * @param {boolean} isType
     * @param {number} type
     * @param {string} lan
     * @returns {Array}
    */
    queryTotals({ cond, distance, pos, stime, etime, isSplitCurrent, isType, type, lan, ins }: {
        cond?: null | undefined;
        distance?: number | undefined;
        pos?: number | undefined;
        stime: any;
        etime: any;
        isSplitCurrent?: boolean | undefined;
        isType?: boolean | undefined;
        type?: number | undefined;
        lan?: string | undefined;
        ins?: string | undefined;
    }): Promise<any[]>;
    call({ telephone }: {
        telephone: any;
    }): Promise<void>;
    /**
     *
     * @param cond   => Search term
     * @param distance =>  Query range
     * @param pos => address
     * @param stime => start time
     * @param etime  => end stime
     * @returns =>providers and rooms
     * @author => cmq'code
     */
    queryAllPat({ cond, distance, pos, stime, etime, isSplitCurrent, from, size, lastArray }: {
        cond?: null | undefined;
        distance?: number | undefined;
        pos?: number | undefined;
        stime: any;
        etime: any;
        isSplitCurrent?: boolean | undefined;
        from?: number | undefined;
        size?: number | undefined;
        lastArray?: never[] | undefined;
    }): Promise<any>;
    /**
     *
     * @param cond   => Search term
     * @param distance =>  Query range
     * @param pos => address
     * @param stime => start time
     * @param etime  => end stime
     * @returns =>providers and rooms
     * @author => cmq'code
     */
    queryDataByType({ cond, distance, pos, stime, etime, type, isSplitCurrent, size, from, lastArray }: {
        cond: any;
        distance?: string | undefined;
        pos?: number | undefined;
        stime: any;
        etime: any;
        type: any;
        isSplitCurrent?: boolean | undefined;
        size?: number | undefined;
        from?: number | undefined;
        lastArray?: never[] | undefined;
    }): Promise<any>;
};
