import { Level2Ecos, Level2Error } from '../../ecos';
import type { Env } from 'noodl-types';
export interface Utils {
    idToBase64: (id: Uint8Array | string) => string;
    idToUint8Array: (id: Uint8Array | string) => Uint8Array;
    compareUint8Arrays: (u8a1: Uint8Array, u8a2: Uint8Array) => boolean;
}
export interface ResponseCatcher {
    (response: Response): Response | any;
}
export interface ErrorCatcher {
    (error: Level2Error | any): void;
}
export interface ConfigParams {
    apiVersion?: string;
    env: Env;
    apiHost?: string;
    configUrl: string;
}
export default class Store {
    _env: Env;
    readonly level2SDK: Level2Ecos;
    readonly utils: Utils;
    responseCatcher: any;
    errorCatcher: ErrorCatcher;
    noodlInstance: any;
    currentLatitude: any;
    currentLongitude: any;
    drugbankToken: any;
    constructor({ apiVersion, apiHost, env, configUrl }: ConfigParams);
    set apiVersion(value: string);
    get apiVersion(): string;
    set env(value: Env);
    get env(): Env;
    get apiHost(): string;
    set apiHost(value: string);
    get configUrl(): string;
    set configUrl(value: string);
    getConfig(): import("@aitmed/ecos-lvl2-sdk/dist/types").ConfigData;
}
