import { Status } from '../ecos';
/**
 * @param phone_number: string
 * @throws {UnableToMakeAnotherRequest} When the same request is made within 60secs
 * @returns Promise<string>
 */
export declare const requestVerificationCode: (phone_number: string) => Promise<number>;
/**
 * @param phone_number: string
 * @param password: string
 * @param verification_code: string
 */
export declare const create: (phone_number: string, password: string, verification_code: number, userInfo: Record<string, any>, type?: number) => Promise<any>;
/**
 *
 * @param phone_number: string
 * @param verification_code: string
 * @param password: string
 */
export declare const login: (phone_number: string, password: string, verification_code: number) => Promise<any>;
/**
 * This method is only able to be used after login new device (loginByVerificationCode)
 * @param password: string
 */
export declare const loginByPassword: (password: string) => Promise<any>;
/**
 * @param phone_number: string
 * @param verification_code: string
 */
export declare const loginByVerificationCode: (phone_number: string, verification_code: number) => Promise<void | import("@aitmed/ecos-lvl2-sdk/dist/common/Response").default | Status>;
/**
 * @returns Status
 * Status.code:
 *  0 - LOGGED_IN
 *  1 - LOGGED_OUT
 */
export declare const logout: (clean?: boolean) => Promise<Status & {
    userId: string;
    phone_number: string;
}>;
/**
 * @returns Status
 * Status.code:
 *  0 - LOGGED_IN
 *  1 - LOGGED_OUT
 *  2 - NEW_DEVICE
 *  3 = TEMP_ACCOUNT
 * Status.userId: string
 * Status.code: string
 */
export declare const getStatus: () => Promise<Status & {
    userId: string;
    phone_number: string;
}>;
