import type { CommonTypes } from '../../ecos';
import { NoteType } from './types';
export declare type Without<T, U> = {
    [P in Exclude<keyof T, keyof U>]?: never;
};
declare type XOR<T, U> = T | U extends object ? (Without<T, U> & U) | (Without<U, T> & T) : T | U;
export declare type ContentParams = XOR<{
    content: Blob | Record<any, any>;
}, {
    content: string;
    type: NoteType;
}>;
export interface ContentToBlob {
    (content: string | Blob | Record<any, any>, type?: NoteType): Blob;
}
export interface ProduceEncryptDataReturn {
    data: Uint8Array;
    isEncrypt: boolean;
}
export interface ProduceEncryptData {
    (data: Uint8Array | Blob, esak?: string | Uint8Array, publicKeyOfReceiver?: string): Promise<ProduceEncryptDataReturn>;
}
export interface ProduceGzipDataReturn {
    data: Uint8Array;
    isGzip: boolean;
}
export interface ProduceGzipData {
    (data: Uint8Array | Blob): Promise<ProduceGzipDataReturn>;
}
export declare type DocumentToNoteParams = {
    document: CommonTypes.Doc;
    edge?: CommonTypes.Edge;
    esakOfCurrentUser?: Uint8Array;
};
export interface DocumentToNote {
    (DocumentToNoteParams: any): Promise<any>;
}
export {};
