import type { ShouldAttachRefFn } from '../types';
/**
 * Used to de-reference a string by looking for value in locations.
 * @param PopulateStringArgs
 * @param PopulateStringArgs.source Object that has values that need to be replaced
 * @param PopulateStringArgs.lookFor Item to look for in object
 * @param PopulateStringArgs.locations Array of objects that may contain the values for the source object
 * @param PopulateStringArgs.path The path to the value that will be changed.
 * @param PopulateStringArgs.dispatch Function to change the state.
 * @param PopulateStringArgs.pageName
 *
 * @returns De-referenced object.
 */
declare function populateString({ source, lookFor, skip, locations, path, dispatch, shouldAttachRef, pageName, }: {
    source: string;
    lookFor: string;
    skip?: string[];
    locations: Record<string, any>[];
    path?: string[];
    dispatch?: Function;
    shouldAttachRef?: ShouldAttachRefFn;
    pageName?: string;
}): any;
export default populateString;
